%define upstream_name    Parse-ErrorString-Perl
%define upstream_version 0.20

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Parse error messages from the perl interpreter
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Parse/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Class::XSAccessor)
BuildRequires: perl(File::Basename)
BuildRequires: perl(Pod::Find)
BuildRequires: perl(Pod::POM)
BuildArch: noarch


%description
Module to parse error messages from the perl interpreter.


%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml
%{_bindir}/check_perldiag
%{_mandir}/man1/*
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 0.200.0-2.mga4
+ Revision: 539290
- Mageia 4 Mass Rebuild

* Sat Oct 05 2013 sander85 <sander85> 0.200.0-1.mga4
+ Revision: 491769
- update to 0.20

* Tue Aug 06 2013 sander85 <sander85> 0.190.0-1.mga4
+ Revision: 464226
- update to 0.19

* Mon Aug 05 2013 sander85 <sander85> 0.180.0-1.mga4
+ Revision: 463963
- update to 0.18

* Sun Jan 13 2013 umeabot <umeabot> 0.150.0-2.mga3
+ Revision: 371528
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.150.0-1.mga1
+ Revision: 28714
- mageia rebuild
- imported package perl-Parse-ErrorString-Perl

